---
title: PaymentRequestEvent.total
slug: Web/API/PaymentRequestEvent/total
tags:
  - API
  - Payment Request API
  - PaymentRequestEvent
  - Property
  - Reference
  - payment
  - total
---
<p>{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>total</code></strong> readonly property of the {{domxref("PaymentRequestEvent")}} interface returns a {{domxref('PaymentCurrencyAmount')}} object containing the total amount being requested for payment.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentCurrencyAmount</em> = <em>paymentRequestEvent</em>.total</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('PaymentCurrencyAmount')}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment Handler','#total-attribute','total')}}</td>
   <td>{{Spec2('Payment Handler')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.total")}}</p>
